Subject: Re: [rrg] Geoff Huston's BGP/DFZ research - 300k DFZ prefixes are the tip of

From: [email-masked]
Date: Mon, 15 Mar 2010 07:30:51 EDT

In einer eMail vom 15.03.2010 08:00:10 Westeuropäische Normalzeit schreibt  
[email-masked]:

Heiner,

1/ I am not quite clear why collecting topological links is the #1  
question for RRG/routing scalability solution development

2/ my group has been collecting Internet AS level topology for the last 5  
years.
the following one is the most recent paper:
_The  (in)Completeness of the Observed Internet AS-level Structure_ 
(http://www.cs.arizona.edu/~bzhang/paper/10-ToN-completness.pdf) 
 
IEEE/ACM Transactions on Networking, Feb 2010.

although the paper just got published, some of the numbers may have  
already changed in reality. However one fact should remain true: by putting  BGP 
data from all the sources we can get our hand on, the collected results  
still miss majority of the peering links between ASes.

Lixia,
Thanks for the above document reference. My guess: You collect this  
AS-level topological network information just for academic interest. i.e. for  
doing some interesting studies. That's all.
 
This is not at all my point. My question is: What would be achievable in  
terms of better routing, if  the same kind of topological information were  
available in inter-domain routing as is the case in intra-domain routing !
 
And there is indeed a very long list of  achievabilities including:
- Mobility without home-agent/care-of-address server by well-scoped  
broadcast search messages
- Congestion handling by detouring  and not, a la  re-ECN,  by slowing down 
(video :-( ???) transmission 
- Enabling any detours (incl. crankback using ones) and getting rid of the  
loop phantom fear
- 99 % state-less Multicast
- speeding up next hop determination by 20 x 100 = 2000 % 
-......etc..etc...
 
By insisting on DV this group prevents all major progress, including that  
progress none of us is currently able to think of. Remember the IBM 
commercial!  Rather asking the transport goods for where we are, we should provide a 
 networking layer technology for the benefit of services above.
 
Heiner

Heiner

---

From: Lixia Zhang <[email-masked]>
Date: Tue, 16 Mar 2010 00:34:20 -0700

On Mar 15, 2010, at 4:30 AM, [email-masked] wrote:

> In einer eMail vom 15.03.2010 08:00:10 Westeuropäische Normalzeit  
> schreibt [email-masked]:
> Heiner,
>
> 2/ my group has been collecting Internet AS level topology for the  
> last 5 years.
> The (in)Completeness of the Observed Internet AS-level Structure
> already changed in reality. However one fact should remain true: by  
> putting BGP data from all the sources we can get our hand on, the  
> collected results still miss majority of the peering links between  
> ASes.
>
>
> Lixia,
> AS-level topological network information just for academic interest.  
> i.e. for doing some interesting studies. That's all.

we do not do studies just for academic interest.
The goal of the above is to explain what one can or cannot observe  
about the AS connectivity.

> This is not at all my point. My question is: What would be  
> achievable in terms of better routing, if  the same kind of  
> topological information were available in inter-domain routing as is  
> the case in intra-domain routing !

I understand, and my point (based on the data) is that inter-domain  
topological info is largely *not* available, and for a reason.

> - Congestion handling by detouring  and not, a la  re-ECN,  by  
> slowing down (video :-( ???) transmission
> - Enabling any detours (incl. crankback using ones) and getting rid  
> of the loop phantom fear
> By insisting on DV this group prevents all major progress, including  
> that progress none of us is currently able to think of. Remember the  
> IBM commercial! Rather asking the transport goods for where we are,  
> we should provide a networking layer technology for the benefit of  
> services above.
>
> Heiner
>